diff -upr ioquake3svn1438/code/q3_ui/ui_startserver.c ioquake3serverFix/code/q3_ui/ui_startserver.c
--- ioquake3svn1438/code/q3_ui/ui_startserver.c	2008-06-30 09:45:43.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_startserver.c	2008-08-09 11:28:12.000000000 -0500
@@ -47,21 +47,21 @@ START SERVER MENU *****
 #define GAMESERVER_ARROWSL		"menu/art/gs_arrows_l"
 #define GAMESERVER_ARROWSR		"menu/art/gs_arrows_r"
 
-#define MAX_MAPROWS		4
+#define MAX_MAPROWS		2
 #define MAX_MAPCOLS		2
-#define MAX_MAPSPERPAGE	(MAX_MAPROWS * MAX_MAPCOLS)
+#define MAX_MAPSPERPAGE	4
 
 #define	MAX_SERVERSTEXT	8192
 
-#define MAX_SERVERMAPS	MAX_ARENAS
+#define MAX_SERVERMAPS	64
 #define MAX_NAMELENGTH	16
 
 #define ID_GAMETYPE				10
-#define ID_PICTURES				11	// 12, 13, 14, 15, 16, 17, 18
-#define ID_PREVPAGE				19
-#define ID_NEXTPAGE				20
-#define ID_STARTSERVERBACK		21
-#define ID_STARTSERVERNEXT		22
+#define ID_PICTURES				11	// 12, 13, 14
+#define ID_PREVPAGE				15
+#define ID_NEXTPAGE				16
+#define ID_STARTSERVERBACK		17
+#define ID_STARTSERVERNEXT		18
 
 typedef struct {
 	menuframework_s	menu;
@@ -98,46 +98,21 @@ static const char *gametype_items[] = {
 	"Team Deathmatch",
 	"Tournament",
 	"Capture the Flag",
-	"Elimination",
-	"CTF Elimination",
-	"Last Man Standing",
-	"Double Domination",
 	NULL
 };
 
-static int gametype_remap[] = {
-		GT_FFA,			
-		GT_TEAM, 		
-		GT_TOURNAMENT, 		
-		GT_CTF,
-		GT_ELIMINATION, 	
-		GT_CTF_ELIMINATION, 	
-		GT_LMS, 		
-		GT_DOUBLE_D };		
-
-static int gametype_remap2[] = {
-		0, 
-		2, 
-		0, 
-		1, 
-		3, 
-		3,
-		3,
-		3,
-		4, 
-		5, 
-		6, 
-		7 };		//this works and should increment for more gametypes
+static int gametype_remap[] = {GT_FFA, GT_TEAM, GT_TOURNAMENT, GT_CTF};
+static int gametype_remap2[] = {0, 2, 0, 1, 3};
 
 // use ui_servers2.c definition
-//extern const char* punkbuster_items[];
+extern const char* punkbuster_items[];
 
 static void UI_ServerOptionsMenu( qboolean multiplayer );
 
 
 /*
 =================
-GametypeBits from arenas.txt + .arena files
+GametypeBits
 =================
 */
 static int GametypeBits( char *string ) {
@@ -177,26 +152,8 @@ static int GametypeBits( char *string ) 
 			bits |= 1 << GT_CTF;
 			continue;
 		}
+	}
 
-		if( Q_stricmp( token, "elimination" ) == 0 ) {
-			bits |= 1 << GT_ELIMINATION;
-			continue;
-		}
-
-		if( Q_stricmp( token, "ctfelimination" ) == 0 ) {
-			bits |= 1 << GT_CTF_ELIMINATION;
-			continue;
-		}
-
-		if( Q_stricmp( token, "lms" ) == 0 ) {
-			bits |= 1 << GT_LMS;
-			continue;
-		}
-		if( Q_stricmp( token, "dd" ) == 0 ) {
-			bits |= 1 << GT_DOUBLE_D;
-			continue;
-		}
-}
 	return bits;
 }
 
@@ -220,23 +177,23 @@ static void StartServer_Update( void ) {
 
 		Com_sprintf( picname[i], sizeof(picname[i]), "levelshots/%s", s_startserver.maplist[top+i] );
 
-		s_startserver.mappics[i].generic.flags &= ~((unsigned int)QMF_HIGHLIGHT);
+		s_startserver.mappics[i].generic.flags &= ~QMF_HIGHLIGHT;
 		s_startserver.mappics[i].generic.name   = picname[i];
 		s_startserver.mappics[i].shader         = 0;
 
 		// reset
 		s_startserver.mapbuttons[i].generic.flags |= QMF_PULSEIFFOCUS;
-		s_startserver.mapbuttons[i].generic.flags &= ~((unsigned int)QMF_INACTIVE);
+		s_startserver.mapbuttons[i].generic.flags &= ~QMF_INACTIVE;
 	}
 
 	for (; i<MAX_MAPSPERPAGE; i++)
 	{
-		s_startserver.mappics[i].generic.flags &= ~((unsigned int)QMF_HIGHLIGHT);
+		s_startserver.mappics[i].generic.flags &= ~QMF_HIGHLIGHT;
 		s_startserver.mappics[i].generic.name   = NULL;
 		s_startserver.mappics[i].shader         = 0;
 
 		// disable
-		s_startserver.mapbuttons[i].generic.flags &= ~((unsigned int)QMF_PULSEIFFOCUS);
+		s_startserver.mapbuttons[i].generic.flags &= ~QMF_PULSEIFFOCUS;
 		s_startserver.mapbuttons[i].generic.flags |= QMF_INACTIVE;
 	}
 
@@ -250,12 +207,12 @@ static void StartServer_Update( void ) {
 	}
 	else {
 		// set the highlight
-		s_startserver.next.generic.flags &= ~((unsigned int)QMF_INACTIVE);
+		s_startserver.next.generic.flags &= ~QMF_INACTIVE;
 		i = s_startserver.currentmap - top;
 		if ( i >=0 && i < MAX_MAPSPERPAGE ) 
 		{
 			s_startserver.mappics[i].generic.flags    |= QMF_HIGHLIGHT;
-			s_startserver.mapbuttons[i].generic.flags &= ~((unsigned int)QMF_PULSEIFFOCUS);
+			s_startserver.mapbuttons[i].generic.flags &= ~QMF_PULSEIFFOCUS;
 		}
 
 		// set the map name
@@ -300,7 +257,7 @@ static void StartServer_GametypeEvent( v
 	count = UI_GetNumArenas();
 	s_startserver.nummaps = 0;
 	matchbits = 1 << gametype_remap[s_startserver.gametype.curvalue];
-	if( gametype_remap[s_startserver.gametype.curvalue] == GT_FFA || gametype_remap[s_startserver.gametype.curvalue] == GT_LMS ) {
+	if( gametype_remap[s_startserver.gametype.curvalue] == GT_FFA ) {
 		matchbits |= ( 1 << GT_SINGLE_PLAYER );
 	}
 	for( i = 0; i < count; i++ ) {
@@ -471,10 +428,8 @@ static void StartServer_MenuInit( void )
 
 	for (i=0; i<MAX_MAPSPERPAGE; i++)
 	{
-		//x =	(i % MAX_MAPCOLS) * (128+8) + 188;
-		//y = (i / MAX_MAPROWS) * (128+8) + 96;
-                x = (640-MAX_MAPROWS*140)/2 + ( (i % MAX_MAPROWS) * 140 );
- 		y = 96 + ( (i / MAX_MAPROWS) * 140 );
+		x =	(i % MAX_MAPCOLS) * (128+8) + 188;
+		y = (i / MAX_MAPROWS) * (128+8) + 96;
 
 		s_startserver.mappics[i].generic.type   = MTYPE_BITMAP;
 		s_startserver.mappics[i].generic.flags  = QMF_LEFT_JUSTIFY|QMF_INACTIVE;
@@ -657,11 +612,11 @@ SERVER OPTIONS MENU *****
 =============================================================================
 */
 
-#define ID_PLAYER_TYPE			25
-#define ID_MAXCLIENTS			26
-//#define ID_DEDICATED			27
-#define ID_GO					28
-#define ID_BACK					29
+#define ID_PLAYER_TYPE			20
+#define ID_MAXCLIENTS			21
+#define ID_DEDICATED			22
+#define ID_GO					23
+#define ID_BACK					24
 
 #define PLAYER_SLOTS			12
 
@@ -674,17 +629,13 @@ typedef struct {
 	menubitmap_s		mappic;
 	menubitmap_s		picframe;
 
-//	menulist_s			dedicated;
+	menulist_s			dedicated;
 	menufield_s			timelimit;
 	menufield_s			fraglimit;
 	menufield_s			flaglimit;
 	menuradiobutton_s	friendlyfire;
 	menufield_s			hostname;
 	menuradiobutton_s	pure;
-        //Here are the elimination stuff
-        menuradiobutton_s	instantgib;
-        menuradiobutton_s	rockets;
-        menulist_s			lmsMode;
 	menulist_s			botSkill;
 
 	menutext_s			player0;
@@ -705,17 +656,17 @@ typedef struct {
 	int					newBotIndex;
 	char				newBotName[16];
 	
-	//menulist_s		punkbuster;
+	menulist_s		punkbuster;
 } serveroptions_t;
 
 static serveroptions_t s_serveroptions;
 
-/*static const char *dedicated_list[] = {
+static const char *dedicated_list[] = {
 	"No",
 	"LAN",
 	"Internet",
 	NULL
-};*/
+};
 
 static const char *playerType_list[] = {
 	"Open",
@@ -739,14 +690,6 @@ static const char *botSkill_list[] = {
 	NULL
 };
 
-//Elimiantion - LMS mode
-static const char *lmsMode_list[] = {
-	"Round+OT",
-	"Round-OT",
-	"Kill+OT",
-	"Kill-OT",
-	NULL
-};
 
 /*
 =================
@@ -760,7 +703,7 @@ static qboolean BotAlreadySelected( cons
 		if( s_serveroptions.playerType[n].curvalue != 1 ) {
 			continue;
 		}
-		if( (s_serveroptions.gametype >= GT_TEAM) && s_serveroptions.gametype != GT_LMS &&
+		if( (s_serveroptions.gametype >= GT_TEAM) &&
 			(s_serveroptions.playerTeam[n].curvalue != s_serveroptions.playerTeam[s_serveroptions.newBotIndex].curvalue ) ) {
 			continue;
 		}
@@ -782,13 +725,10 @@ static void ServerOptions_Start( void ) 
 	int		timelimit;
 	int		fraglimit;
 	int		maxclients;
-//	int		dedicated;
+	int		dedicated;
 	int		friendlyfire;
 	int		flaglimit;
 	int		pure;
-        int             instantgib;
-        int             rockets;
-        int             lmsMode;
 	int		skill;
 	int		n;
 	char	buf[64];
@@ -797,13 +737,9 @@ static void ServerOptions_Start( void ) 
 	timelimit	 = atoi( s_serveroptions.timelimit.field.buffer );
 	fraglimit	 = atoi( s_serveroptions.fraglimit.field.buffer );
 	flaglimit	 = atoi( s_serveroptions.flaglimit.field.buffer );
-//	dedicated	 = s_serveroptions.dedicated.curvalue;
+	dedicated	 = s_serveroptions.dedicated.curvalue;
 	friendlyfire = s_serveroptions.friendlyfire.curvalue;
 	pure		 = s_serveroptions.pure.curvalue;
-        instantgib       = s_serveroptions.instantgib.curvalue;
-        rockets          = s_serveroptions.rockets.curvalue;
-        //Sago: For some reason you need to add 1 to curvalue to get the UI to show the right thing
-        lmsMode          = s_serveroptions.lmsMode.curvalue + 1; 
 	skill		 = s_serveroptions.botSkill.curvalue + 1;
 
 	//set maxclients
@@ -840,44 +776,18 @@ static void ServerOptions_Start( void ) 
 		trap_Cvar_SetValue( "ui_ctf_timelimit", timelimit );
 		trap_Cvar_SetValue( "ui_ctf_friendlt", friendlyfire );
 		break;
-
-	case GT_ELIMINATION:
-		trap_Cvar_SetValue( "ui_elimination_capturelimit", fraglimit );
-		trap_Cvar_SetValue( "ui_elimination_timelimit", timelimit );
-		//trap_Cvar_SetValue( "ui_elimination_friendlt", friendlyfire );
-		break;
-
-	case GT_CTF_ELIMINATION:
-		trap_Cvar_SetValue( "ui_ctf_elimination_capturelimit", fraglimit );
-		trap_Cvar_SetValue( "ui_ctf_elimination_timelimit", timelimit );
-		//trap_Cvar_SetValue( "ui_ctf_elimination_friendlt", friendlyfire );
-		break;
-
-	case GT_LMS:
-		trap_Cvar_SetValue( "ui_lms_fraglimit", fraglimit );
-		trap_Cvar_SetValue( "ui_lms_timelimit", timelimit );
-		break;
-
-	case GT_DOUBLE_D:
-		trap_Cvar_SetValue( "ui_dd_capturelimit", fraglimit );
-		trap_Cvar_SetValue( "ui_dd_timelimit", timelimit );
-		trap_Cvar_SetValue( "ui_dd_friendlt", friendlyfire );
-		break;
 	}
 
 	trap_Cvar_SetValue( "sv_maxclients", Com_Clamp( 0, 12, maxclients ) );
-//	trap_Cvar_SetValue( "dedicated", Com_Clamp( 0, 2, dedicated ) );
+	trap_Cvar_SetValue( "dedicated", Com_Clamp( 0, 2, dedicated ) );
 	trap_Cvar_SetValue ("timelimit", Com_Clamp( 0, timelimit, timelimit ) );
 	trap_Cvar_SetValue ("fraglimit", Com_Clamp( 0, fraglimit, fraglimit ) );
 	trap_Cvar_SetValue ("capturelimit", Com_Clamp( 0, flaglimit, flaglimit ) );
 	trap_Cvar_SetValue( "g_friendlyfire", friendlyfire );
 	trap_Cvar_SetValue( "sv_pure", pure );
-        trap_Cvar_SetValue( "g_instantgib", instantgib );
-        trap_Cvar_SetValue( "g_rockets", rockets );
-        trap_Cvar_SetValue( "g_lms_mode", lmsMode-1);
 	trap_Cvar_Set("sv_hostname", s_serveroptions.hostname.field.buffer );
 	
-	//trap_Cvar_SetValue( "sv_punkbuster", s_serveroptions.punkbuster.curvalue );
+	trap_Cvar_SetValue( "sv_punkbuster", s_serveroptions.punkbuster.curvalue );
 
 	// the wait commands will allow the dedicated to take effect
 	trap_Cmd_ExecuteText( EXEC_APPEND, va( "wait ; wait ; map %s\n", s_startserver.maplist[s_startserver.currentmap] ) );
@@ -894,7 +804,7 @@ static void ServerOptions_Start( void ) 
 		if( s_serveroptions.playerNameBuffers[n][0] == '-' ) {
 			continue;
 		}
-		if( s_serveroptions.gametype >= GT_TEAM && s_serveroptions.gametype != GT_LMS ) {
+		if( s_serveroptions.gametype >= GT_TEAM ) {
 			Com_sprintf( buf, sizeof(buf), "addbot %s %i %s\n", s_serveroptions.playerNameBuffers[n], skill,
 				playerTeam_list[s_serveroptions.playerTeam[n].curvalue] );
 		}
@@ -905,7 +815,7 @@ static void ServerOptions_Start( void ) 
 	}
 
 	// set player's team
-	if( /*dedicated == 0 &&*/ s_serveroptions.gametype >= GT_TEAM && s_serveroptions.gametype != GT_LMS ) {
+	if( dedicated == 0 && s_serveroptions.gametype >= GT_TEAM ) {
 		trap_Cmd_ExecuteText( EXEC_APPEND, va( "wait 5; team %s\n", playerTeam_list[s_serveroptions.playerTeam[0].curvalue] ) );
 	}
 }
@@ -932,23 +842,23 @@ static void ServerOptions_InitPlayerItem
 		s_serveroptions.playerType[n].curvalue = v;
 	}
 
-	if( s_serveroptions.multiplayer && (s_serveroptions.gametype < GT_TEAM || s_serveroptions.gametype == GT_LMS ) ) {
+	if( s_serveroptions.multiplayer && (s_serveroptions.gametype < GT_TEAM) ) {
 		for( n = 8; n < PLAYER_SLOTS; n++ ) {
 			s_serveroptions.playerType[n].curvalue = 2;
 		}
 	}
 
 	// if not a dedicated server, first slot is reserved for the human on the server
-//	if( s_serveroptions.dedicated.curvalue == 0 ) {
+	if( s_serveroptions.dedicated.curvalue == 0 ) {
 		// human
 		s_serveroptions.playerType[0].generic.flags |= QMF_INACTIVE;
 		s_serveroptions.playerType[0].curvalue = 0;
 		trap_Cvar_VariableStringBuffer( "name", s_serveroptions.playerNameBuffers[0], sizeof(s_serveroptions.playerNameBuffers[0]) );
 		Q_CleanStr( s_serveroptions.playerNameBuffers[0] );
-//	}
+	}
 
 	// init teams
-	if( s_serveroptions.gametype >= GT_TEAM && s_serveroptions.gametype != GT_LMS ) {
+	if( s_serveroptions.gametype >= GT_TEAM ) {
 		for( n = 0; n < (PLAYER_SLOTS / 2); n++ ) {
 			s_serveroptions.playerTeam[n].curvalue = 0;
 		}
@@ -981,19 +891,19 @@ static void ServerOptions_SetPlayerItems
 //	}
 
 	// names
-//	if( s_serveroptions.dedicated.curvalue == 0 ) {
+	if( s_serveroptions.dedicated.curvalue == 0 ) {
 		s_serveroptions.player0.string = "Human";
-		s_serveroptions.playerName[0].generic.flags &= ~((unsigned int)QMF_HIDDEN);
+		s_serveroptions.playerName[0].generic.flags &= ~QMF_HIDDEN;
 
 		start = 1;
-/*	}
+	}
 	else {
 		s_serveroptions.player0.string = "Open";
 		start = 0;
-	}*/
+	}
 	for( n = start; n < PLAYER_SLOTS; n++ ) {
 		if( s_serveroptions.playerType[n].curvalue == 1 ) {
-			s_serveroptions.playerName[n].generic.flags &= ~( (unsigned int)(QMF_INACTIVE|QMF_HIDDEN));
+			s_serveroptions.playerName[n].generic.flags &= ~(QMF_INACTIVE|QMF_HIDDEN);
 		}
 		else {
 			s_serveroptions.playerName[n].generic.flags |= (QMF_INACTIVE|QMF_HIDDEN);
@@ -1001,7 +911,7 @@ static void ServerOptions_SetPlayerItems
 	}
 
 	// teams
-	if( s_serveroptions.gametype < GT_TEAM || s_serveroptions.gametype == GT_LMS ) {
+	if( s_serveroptions.gametype < GT_TEAM ) {
 		return;
 	}
 	for( n = start; n < PLAYER_SLOTS; n++ ) {
@@ -1009,7 +919,7 @@ static void ServerOptions_SetPlayerItems
 			s_serveroptions.playerTeam[n].generic.flags |= (QMF_INACTIVE|QMF_HIDDEN);
 		}
 		else {
-			s_serveroptions.playerTeam[n].generic.flags &= ~((unsigned int) (QMF_INACTIVE|QMF_HIDDEN));
+			s_serveroptions.playerTeam[n].generic.flags &= ~(QMF_INACTIVE|QMF_HIDDEN);
 		}
 	}
 }
@@ -1034,7 +944,7 @@ static void ServerOptions_Event( void* p
 		break;
 
 	case ID_MAXCLIENTS:
-//	case ID_DEDICATED:
+	case ID_DEDICATED:
 		ServerOptions_SetPlayerItems();
 		break;
 	case ID_GO:
@@ -1084,19 +994,6 @@ static void ServerOptions_StatusBar( voi
 	}
 }
 
-/*
-=================
-ServerOptions_StatusBar_Instantgib
-=================
-*/
-static void ServerOptions_StatusBar_Instantgib( void* ptr ) {
-	switch( ((menucommon_s*)ptr)->id ) {
-	default:
-		UI_DrawString( 320, 440, "Only railgun and instant kill", UI_CENTER|UI_SMALLFONT, colorWhite );
-		break;
-	}
-}
-
 
 /*
 ===============
@@ -1140,29 +1037,28 @@ static void ServerOptions_InitBotNames( 
 	char		*bot;
 	char		bots[MAX_INFO_STRING];
 
-	//this SHOULD work
-	if( s_serveroptions.gametype >= GT_TEAM && s_serveroptions.gametype != GT_LMS ) {
-		Q_strncpyz( s_serveroptions.playerNameBuffers[1], "gargoyle", 16 );
-		Q_strncpyz( s_serveroptions.playerNameBuffers[2], "kyonshi", 16 );
-		Q_strncpyz( s_serveroptions.playerNameBuffers[3], "grism", 16 );
-                if( s_serveroptions.gametype != GT_TEAM ) {
+	if( s_serveroptions.gametype >= GT_TEAM ) {
+		Q_strncpyz( s_serveroptions.playerNameBuffers[1], "grunt", 16 );
+		Q_strncpyz( s_serveroptions.playerNameBuffers[2], "major", 16 );
+		if( s_serveroptions.gametype == GT_TEAM ) {
+			Q_strncpyz( s_serveroptions.playerNameBuffers[3], "visor", 16 );
+		}
+		else {
 			s_serveroptions.playerType[3].curvalue = 2;
 		}
-                Q_strncpyz( s_serveroptions.playerNameBuffers[4], "merman", 16 );
 		s_serveroptions.playerType[4].curvalue = 2;
-                Q_strncpyz( s_serveroptions.playerNameBuffers[5], "skelebot", 16 );
 		s_serveroptions.playerType[5].curvalue = 2;
 
-		Q_strncpyz( s_serveroptions.playerNameBuffers[6], "sergei", 16 );
-		Q_strncpyz( s_serveroptions.playerNameBuffers[7], "assassin", 16 );
-		Q_strncpyz( s_serveroptions.playerNameBuffers[8], "grunt", 16 );
-                Q_strncpyz( s_serveroptions.playerNameBuffers[9], "skelebot", 16 );
-		if( s_serveroptions.gametype != GT_TEAM ) {
+		Q_strncpyz( s_serveroptions.playerNameBuffers[6], "sarge", 16 );
+		Q_strncpyz( s_serveroptions.playerNameBuffers[7], "grunt", 16 );
+		Q_strncpyz( s_serveroptions.playerNameBuffers[8], "major", 16 );
+		if( s_serveroptions.gametype == GT_TEAM ) {
+			Q_strncpyz( s_serveroptions.playerNameBuffers[9], "visor", 16 );
+		}
+		else {
 			s_serveroptions.playerType[9].curvalue = 2;
 		}
-                Q_strncpyz( s_serveroptions.playerNameBuffers[10], "merman", 16 );
 		s_serveroptions.playerType[10].curvalue = 2;
-                Q_strncpyz( s_serveroptions.playerNameBuffers[11], "skelebot", 16 );
 		s_serveroptions.playerType[11].curvalue = 2;
 
 		return;
@@ -1198,29 +1094,14 @@ static void ServerOptions_InitBotNames( 
 
 		botInfo = UI_GetBotInfoByName( bot );
 		bot = Info_ValueForKey( botInfo, "name" );
-                
-                if(!Q_stricmp(bot,""))
-                    bot = "Sarge"; 
 
 		Q_strncpyz( s_serveroptions.playerNameBuffers[count], bot, sizeof(s_serveroptions.playerNameBuffers[count]) );
 		count++;
 	}
 
-	// set the rest of the bot slots to to other bots
+	// set the rest of the bot slots to "---"
 	for( n = count; n < PLAYER_SLOTS; n++ ) {
-		switch(n%4){
-                 case 0:
-                    strcpy( s_serveroptions.playerNameBuffers[n], "Grunt" );
-                     break;
-                 case 1:
-                     strcpy( s_serveroptions.playerNameBuffers[n], "Merman" );
-                     break;
-                 case 2:
-                     strcpy( s_serveroptions.playerNameBuffers[n], "Kyonshi" );
-                     break;
-                 default:
-                     strcpy( s_serveroptions.playerNameBuffers[n], "Skelebot" );
-             }
+		strcpy( s_serveroptions.playerNameBuffers[n], "--------" );
 	}
 
 	// pad up to #8 as open slots
@@ -1268,37 +1149,10 @@ static void ServerOptions_SetMenuItems( 
 		Com_sprintf( s_serveroptions.timelimit.field.buffer, 4, "%i", (int)Com_Clamp( 0, 999, trap_Cvar_VariableValue( "ui_ctf_timelimit" ) ) );
 		s_serveroptions.friendlyfire.curvalue = (int)Com_Clamp( 0, 1, trap_Cvar_VariableValue( "ui_ctf_friendly" ) );
 		break;
-
-	case GT_ELIMINATION:
-		Com_sprintf( s_serveroptions.flaglimit.field.buffer, 4, "%i", (int)Com_Clamp( 0, 999, trap_Cvar_VariableValue( "ui_elimination_capturelimit" ) ) );
-		Com_sprintf( s_serveroptions.timelimit.field.buffer, 4, "%i", (int)Com_Clamp( 0, 999, trap_Cvar_VariableValue( "ui_elimination_timelimit" ) ) );
-		//s_serveroptions.friendlyfire.curvalue = (int)Com_Clamp( 0, 1, trap_Cvar_VariableValue( "ui_elimination_friendly" ) );
-		break;
-
-	case GT_CTF_ELIMINATION:
-		Com_sprintf( s_serveroptions.flaglimit.field.buffer, 4, "%i", (int)Com_Clamp( 0, 999, trap_Cvar_VariableValue( "ui_ctf_elimination_capturelimit" ) ) );
-		Com_sprintf( s_serveroptions.timelimit.field.buffer, 4, "%i", (int)Com_Clamp( 0, 999, trap_Cvar_VariableValue( "ui_ctf_elimination_timelimit" ) ) );
-		//s_serveroptions.friendlyfire.curvalue = (int)Com_Clamp( 0, 1, trap_Cvar_VariableValue( "ui_ctf_elimination_friendly" ) );
-		break;
-
-	case GT_LMS:
-		Com_sprintf( s_serveroptions.fraglimit.field.buffer, 4, "%i", (int)Com_Clamp( 0, 999, trap_Cvar_VariableValue( "ui_lms_fraglimit" ) ) );
-		Com_sprintf( s_serveroptions.timelimit.field.buffer, 4, "%i", (int)Com_Clamp( 0, 999, trap_Cvar_VariableValue( "ui_lms_timelimit" ) ) );
-		break;
-
-	case GT_DOUBLE_D:
-		Com_sprintf( s_serveroptions.flaglimit.field.buffer, 4, "%i", (int)Com_Clamp( 0, 100, trap_Cvar_VariableValue( "ui_dd_capturelimit" ) ) );
-		Com_sprintf( s_serveroptions.timelimit.field.buffer, 4, "%i", (int)Com_Clamp( 0, 999, trap_Cvar_VariableValue( "ui_dd_timelimit" ) ) );
-		s_serveroptions.friendlyfire.curvalue = (int)Com_Clamp( 0, 1, trap_Cvar_VariableValue( "ui_dd_friendly" ) );
-		break;
-
 	}
 
 	Q_strncpyz( s_serveroptions.hostname.field.buffer, UI_Cvar_VariableString( "sv_hostname" ), sizeof( s_serveroptions.hostname.field.buffer ) );
 	s_serveroptions.pure.curvalue = Com_Clamp( 0, 1, trap_Cvar_VariableValue( "sv_pure" ) );
-        s_serveroptions.instantgib.curvalue = Com_Clamp( 0, 1, trap_Cvar_VariableValue( "g_instantgib" ) );
-        s_serveroptions.rockets.curvalue = Com_Clamp( 0, 1, trap_Cvar_VariableValue( "g_rockets" ) );
-        s_serveroptions.lmsMode.curvalue = Com_Clamp( 0, 1, trap_Cvar_VariableValue("g_lms_mode") )+1;
 
 	// set the map pic
 	Com_sprintf( picname, 64, "levelshots/%s", s_startserver.maplist[s_startserver.currentmap] );
@@ -1377,9 +1231,8 @@ static void ServerOptions_MenuInit( qboo
 
 	memset( &s_serveroptions, 0 ,sizeof(serveroptions_t) );
 	s_serveroptions.multiplayer = multiplayer;
-	// so the new gametypes work
-	s_serveroptions.gametype = (int)Com_Clamp( 0, GT_MAX_GAME_TYPE - 1, trap_Cvar_VariableValue( "g_gameType" ) );
-	//s_serveroptions.punkbuster.curvalue = Com_Clamp( 0, 1, trap_Cvar_VariableValue( "sv_punkbuster" ) );
+	s_serveroptions.gametype = (int)Com_Clamp( 0, 5, trap_Cvar_VariableValue( "g_gameType" ) );
+	s_serveroptions.punkbuster.curvalue = Com_Clamp( 0, 1, trap_Cvar_VariableValue( "sv_punkbuster" ) );
 
 	ServerOptions_Cache();
 
@@ -1411,7 +1264,7 @@ static void ServerOptions_MenuInit( qboo
 	s_serveroptions.picframe.focuspic			= GAMESERVER_SELECT;
 
 	y = 272;
-	if( s_serveroptions.gametype < GT_CTF || s_serveroptions.gametype== GT_LMS) {
+	if( s_serveroptions.gametype != GT_CTF ) {
 		s_serveroptions.fraglimit.generic.type       = MTYPE_FIELD;
 		s_serveroptions.fraglimit.generic.name       = "Frag Limit:";
 		s_serveroptions.fraglimit.generic.flags      = QMF_NUMBERSONLY|QMF_PULSEIFFOCUS|QMF_SMALLFONT;
@@ -1442,7 +1295,7 @@ static void ServerOptions_MenuInit( qboo
 	s_serveroptions.timelimit.field.widthInChars = 3;
 	s_serveroptions.timelimit.field.maxchars     = 3;
 
-	if( s_serveroptions.gametype >= GT_TEAM && s_serveroptions.gametype != GT_LMS && s_serveroptions.gametype != GT_ELIMINATION && s_serveroptions.gametype != GT_CTF_ELIMINATION) {
+	if( s_serveroptions.gametype >= GT_TEAM ) {
 		y += BIGCHAR_HEIGHT+2;
 		s_serveroptions.friendlyfire.generic.type     = MTYPE_RADIOBUTTON;
 		s_serveroptions.friendlyfire.generic.flags    = QMF_PULSEIFFOCUS|QMF_SMALLFONT;
@@ -1457,37 +1310,8 @@ static void ServerOptions_MenuInit( qboo
 	s_serveroptions.pure.generic.x				= OPTIONS_X;
 	s_serveroptions.pure.generic.y				= y;
 	s_serveroptions.pure.generic.name			= "Pure Server:";
-        
-        //Insantgib option
-        y += BIGCHAR_HEIGHT+2;
-	s_serveroptions.instantgib.generic.type			= MTYPE_RADIOBUTTON;
-	s_serveroptions.instantgib.generic.flags			= QMF_PULSEIFFOCUS|QMF_SMALLFONT;
-	s_serveroptions.instantgib.generic.x				= OPTIONS_X;
-	s_serveroptions.instantgib.generic.y				= y;
-	s_serveroptions.instantgib.generic.name			= "Instantgib:";
-        s_serveroptions.instantgib.generic.statusbar  = ServerOptions_StatusBar_Instantgib; 
-        
-        //Rockets option
-        y += BIGCHAR_HEIGHT+2;
-	s_serveroptions.rockets.generic.type			= MTYPE_RADIOBUTTON;
-	s_serveroptions.rockets.generic.flags			= QMF_PULSEIFFOCUS|QMF_SMALLFONT;
-	s_serveroptions.rockets.generic.x				= OPTIONS_X;
-	s_serveroptions.rockets.generic.y				= y;
-	s_serveroptions.rockets.generic.name			= "All rockets:";
-        
-        if( s_serveroptions.gametype == GT_LMS ) {
-            y += BIGCHAR_HEIGHT+2;
-            s_serveroptions.lmsMode.generic.type			= MTYPE_SPINCONTROL;
-            s_serveroptions.lmsMode.generic.flags			= QMF_PULSEIFFOCUS|QMF_SMALLFONT;
-            s_serveroptions.lmsMode.generic.name			= "Score mode:";
-            s_serveroptions.lmsMode.generic.x				=  OPTIONS_X; //32 + (strlen(s_serveroptions.botSkill.generic.name) + 2 ) * SMALLCHAR_WIDTH;
-            s_serveroptions.lmsMode.generic.y				= y;
-            s_serveroptions.lmsMode.itemnames				= lmsMode_list;
-            //s_serveroptions.lmsMode.curvalue				= 0;
-            
-        }
 
-/*	if( s_serveroptions.multiplayer ) {
+	if( s_serveroptions.multiplayer ) {
 		y += BIGCHAR_HEIGHT+2;
 		s_serveroptions.dedicated.generic.type		= MTYPE_SPINCONTROL;
 		s_serveroptions.dedicated.generic.id		= ID_DEDICATED;
@@ -1497,7 +1321,7 @@ static void ServerOptions_MenuInit( qboo
 		s_serveroptions.dedicated.generic.y			= y;
 		s_serveroptions.dedicated.generic.name		= "Dedicated:";
 		s_serveroptions.dedicated.itemnames			= dedicated_list;
-	}*/
+	}
 
 	if( s_serveroptions.multiplayer ) {
 		y += BIGCHAR_HEIGHT+2;
@@ -1510,14 +1334,14 @@ static void ServerOptions_MenuInit( qboo
 		s_serveroptions.hostname.field.maxchars     = 64;
 	}
 
-	/*y += BIGCHAR_HEIGHT+2;
+	y += BIGCHAR_HEIGHT+2;
 	s_serveroptions.punkbuster.generic.type			= MTYPE_SPINCONTROL;
 	s_serveroptions.punkbuster.generic.name			= "Punkbuster:";
 	s_serveroptions.punkbuster.generic.flags			= QMF_PULSEIFFOCUS|QMF_SMALLFONT;
 	s_serveroptions.punkbuster.generic.id			= 0;
 	s_serveroptions.punkbuster.generic.x				= OPTIONS_X;
 	s_serveroptions.punkbuster.generic.y				= y;
-	s_serveroptions.punkbuster.itemnames				= punkbuster_items;*/
+	s_serveroptions.punkbuster.itemnames				= punkbuster_items;
 	
 	y = 80;
 	s_serveroptions.botSkill.generic.type			= MTYPE_SPINCONTROL;
@@ -1615,30 +1439,25 @@ static void ServerOptions_MenuInit( qboo
 			Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.playerType[n] );
 		}
 		Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.playerName[n] );
-		if( s_serveroptions.gametype >= GT_TEAM && s_serveroptions.gametype != GT_LMS ) {
+		if( s_serveroptions.gametype >= GT_TEAM ) {
 			Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.playerTeam[n] );
 		}
 	}
 
-	if( s_serveroptions.gametype < GT_CTF || s_serveroptions.gametype == GT_LMS ) {
+	if( s_serveroptions.gametype != GT_CTF ) {
 		Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.fraglimit );
 	}
 	else {
 		Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.flaglimit );
 	}
 	Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.timelimit );
-	if( s_serveroptions.gametype >= GT_TEAM && s_serveroptions.gametype != GT_LMS && s_serveroptions.gametype != GT_ELIMINATION && s_serveroptions.gametype != GT_CTF_ELIMINATION) {
+	if( s_serveroptions.gametype >= GT_TEAM ) {
 		Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.friendlyfire );
 	}
 	Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.pure );
-        Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.instantgib );
-        Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.rockets );
-        if( s_serveroptions.gametype == GT_LMS) {
-            Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.lmsMode );
-        }
-/*	if( s_serveroptions.multiplayer ) {
+	if( s_serveroptions.multiplayer ) {
 		Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.dedicated );
-	}*/
+	}
 	if( s_serveroptions.multiplayer ) {
 		Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.hostname );
 	}
@@ -1647,7 +1466,7 @@ static void ServerOptions_MenuInit( qboo
 	Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.next );
 	Menu_AddItem( &s_serveroptions.menu, &s_serveroptions.go );
 
-	//Menu_AddItem( &s_serveroptions.menu, (void*) &s_serveroptions.punkbuster );
+	Menu_AddItem( &s_serveroptions.menu, (void*) &s_serveroptions.punkbuster );
 	
 	ServerOptions_SetMenuItems();
 }
@@ -1829,7 +1648,7 @@ static void UI_BotSelectMenu_UpdateGrid(
 			else {
 				botSelectInfo.picnames[i].color = color_orange;
 			}
-			botSelectInfo.picbuttons[i].generic.flags &= ~((unsigned int)QMF_INACTIVE);
+			botSelectInfo.picbuttons[i].generic.flags &= ~QMF_INACTIVE;
 		}
 		else {
 			// dead slot
@@ -1838,7 +1657,7 @@ static void UI_BotSelectMenu_UpdateGrid(
 			botSelectInfo.botnames[i][0] = 0;
 		}
 
- 		botSelectInfo.pics[i].generic.flags       &= ~((unsigned int)QMF_HIGHLIGHT);
+ 		botSelectInfo.pics[i].generic.flags       &= ~QMF_HIGHLIGHT;
  		botSelectInfo.pics[i].shader               = 0;
  		botSelectInfo.picbuttons[i].generic.flags |= QMF_PULSEIFFOCUS;
 	}
@@ -1846,18 +1665,18 @@ static void UI_BotSelectMenu_UpdateGrid(
 	// set selected model
 	i = botSelectInfo.selectedmodel % MAX_MODELSPERPAGE;
 	botSelectInfo.pics[i].generic.flags |= QMF_HIGHLIGHT;
-	botSelectInfo.picbuttons[i].generic.flags &= ~((unsigned int)QMF_PULSEIFFOCUS);
+	botSelectInfo.picbuttons[i].generic.flags &= ~QMF_PULSEIFFOCUS;
 
 	if( botSelectInfo.numpages > 1 ) {
 		if( botSelectInfo.modelpage > 0 ) {
-			botSelectInfo.left.generic.flags &= ~((unsigned int)QMF_INACTIVE);
+			botSelectInfo.left.generic.flags &= ~QMF_INACTIVE;
 		}
 		else {
 			botSelectInfo.left.generic.flags |= QMF_INACTIVE;
 		}
 
 		if( botSelectInfo.modelpage < (botSelectInfo.numpages - 1) ) {
-			botSelectInfo.right.generic.flags &= ~((unsigned int)QMF_INACTIVE);
+			botSelectInfo.right.generic.flags &= ~QMF_INACTIVE;
 		}
 		else {
 			botSelectInfo.right.generic.flags |= QMF_INACTIVE;
@@ -1955,14 +1774,14 @@ static void UI_BotSelectMenu_BotEvent( v
 	}
 
 	for( i = 0; i < (PLAYERGRID_ROWS * PLAYERGRID_COLS); i++ ) {
- 		botSelectInfo.pics[i].generic.flags &= ~((unsigned int)QMF_HIGHLIGHT);
+ 		botSelectInfo.pics[i].generic.flags &= ~QMF_HIGHLIGHT;
  		botSelectInfo.picbuttons[i].generic.flags |= QMF_PULSEIFFOCUS;
 	}
 
 	// set selected
 	i = ((menucommon_s*)ptr)->id;
 	botSelectInfo.pics[i].generic.flags |= QMF_HIGHLIGHT;
-	botSelectInfo.picbuttons[i].generic.flags &= ~((unsigned int)QMF_PULSEIFFOCUS);
+	botSelectInfo.picbuttons[i].generic.flags &= ~QMF_PULSEIFFOCUS;
 	botSelectInfo.selectedmodel = botSelectInfo.modelpage * MAX_MODELSPERPAGE + i;
 }
 
diff -upr ioquake3svn1438/code/q3_ui/ui_team.c ioquake3serverFix/code/q3_ui/ui_team.c
--- ioquake3svn1438/code/q3_ui/ui_team.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_team.c	2008-08-09 11:28:12.000000000 -0500
@@ -47,16 +47,6 @@ typedef struct
 
 static teammain_t	s_teammain;
 
-// bk001204 - unused
-//static menuframework_s	s_teammain_menu;
-//static menuaction_s		s_teammain_orders;
-//static menuaction_s		s_teammain_voice;
-//static menuaction_s		s_teammain_joinred;
-//static menuaction_s		s_teammain_joinblue;
-//static menuaction_s		s_teammain_joingame;
-//static menuaction_s		s_teammain_spectate;
-
-
 /*
 ===============
 TeamMain_MenuEvent
@@ -169,7 +159,6 @@ void TeamMain_MenuInit( void ) {
 	switch( gametype ) {
 	case GT_SINGLE_PLAYER:
 	case GT_FFA:
-	case GT_LMS:
 	case GT_TOURNAMENT:
 		s_teammain.joinred.generic.flags  |= QMF_GRAYED;
 		s_teammain.joinblue.generic.flags |= QMF_GRAYED;
@@ -178,10 +167,7 @@ void TeamMain_MenuInit( void ) {
 	default:
 	case GT_TEAM:
 	case GT_CTF:
-	case GT_ELIMINATION:
-	case GT_CTF_ELIMINATION:
-		//s_teammain.joingame.generic.flags |= QMF_GRAYED;
-		s_teammain.joingame.string           = "AUTO JOIN GAME";
+		s_teammain.joingame.generic.flags |= QMF_GRAYED;
 		break;
 	}
 
